Bug 97004 - Installer has problems with LVM: Installer aborts on host that was running RH7.3 with LVM
Installer has problems with LVM: Installer aborts on host that was running RH...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-08 12:19 EDT by Ed Voncken
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 23:15:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Voncken 2003-06-08 12:19:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030529

Description of problem:
Host is running RH 7.3 with LVM.

hda: RedHat Linux 7.3 (30GB disk)
hdb: assigned to LVM (120GB disk)
hdc: assigned to LVM  (80GB disk)

Installer complains about lack of disk space (30GB *insufficient* ??!?!!?)

See Additional Info for crashdump info that was written to floppy by Anaconda

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot installation CD-ROM; graphical install
2.Installer complains about unknown partition table on hdb and hdc
  (Danger Will Robinson! LVM disks are not recognized; installer
   kindly offers to destroy LVM partition tables on hdb and hdc!)
3.Tell installer not to touch hdb and hdc
4.Installer suggests removing all Linux partitions from hda
  and installing on hda
5.Accept
6.Installer bombs out with Anaconda traceback 


Actual Results:  Installer bombs out

Expected Results:  1. Installer should recognize LVM partition table
1a. Installer should NOT suggest destruction of all my data

2. Installer should install RedHat Linux 8.0 even if LVM was used
   (i.e. ignore the LVM disks instead of crashing)

Additional info:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/autopart.py", line 1084, in doAutoPartition
    doClearPartAction(partitions, diskset)
  File "/usr/lib/anaconda/autopart.py", line 1033, in doClearPartAction
    doPartitioning(diskset, partitions, doRefresh = 1)
  File "/usr/lib/anaconda/autopart.py", line 950, in doPartitioning
    raise PartitioningError, _("Adding this partition would not "
PartitioningError: Adding this partition would not leave enough disk space for
already allocated logical volumes in vg_home.

Local variables in innermost frame:
doRefresh: 1
vg: 4
request: VG Request -- name: vg_home  uniqueID: 4
  format: 0 pesize: 4096  
  physvols: []
newParts: 
ret: 0
vgused: {4: 193580}
msg: success
requests: <partitions.Partitions instance at 0x84600fc>
size: 193580
diskset: <partedUtils.DiskSet instance at 0x830b454>
delete: drive: hda  start: 96390  end: 57930389

[removed remainder of traceback since BugZilla failed to record the bug - URI
too long for this server]
Comment 1 Ed Voncken 2003-06-08 12:20:37 EDT
This is the full traceback, see if I can attach it after opening the bug:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/autopart.py", line 1084, in doAutoPartition
    doClearPartAction(partitions, diskset)
  File "/usr/lib/anaconda/autopart.py", line 1033, in doClearPartAction
    doPartitioning(diskset, partitions, doRefresh = 1)
  File "/usr/lib/anaconda/autopart.py", line 950, in doPartitioning
    raise PartitioningError, _("Adding this partition would not "
PartitioningError: Adding this partition would not leave enough disk space for
already allocated logical volumes in vg_home.

Local variables in innermost frame:
doRefresh: 1
vg: 4
request: VG Request -- name: vg_home  uniqueID: 4
  format: 0 pesize: 4096  
  physvols: []
newParts: 
ret: 0
vgused: {4: 193580}
msg: success
requests: <partitions.Partitions instance at 0x84600fc>
size: 193580
diskset: <partedUtils.DiskSet instance at 0x830b454>
delete: drive: hda  start: 96390  end: 57930389


Dispatcher instance, containing members:
method: CdromInstallMethod instance, containing members:
  messageWindow: <bound method InstallInterface.messageWindow of
<gui.InstallInterface instance at 0x868b0f4>>
  loopbackFile: None
  progressWindow: <bound method InstallInterface.progressWindow of
<gui.InstallInterface instance at 0x868b0f4>>
  device: hdd
  tree: /mnt/source
  rootPath: /mnt/sysimage
  currentDisc: [1]
step: 12
intf: InstallInterface instance, containing members:
  icw: InstallControlWindow instance, containing members:
    displayHelp: 1
    stockButtons: (('gtk-go-back', 'prevButtonStock', '_Back', <bound method
InstallControlWindow.prevClicked of <gui.InstallControlWindow instance at
0x839e67c>>), ('gtk-go-forward', 'nextButtonStock', '_Next', <bound method
InstallControlWindow.nextClicked of <gui.InstallControlWindow instance at
0x839e67c>>), ('gtk-new', 'releaseButton', '_Release Notes', <bound method
InstallControlWindow.releaseClicked of <gui.InstallControlWindow instance at
0x839e67c>>), ('gtk-help', 'showHelpButton', 'Show _Help', <bound method
InstallControlWindow.helpClicked of <gui.InstallControlWindow instance at
0x839e67c>>), ('gtk-help', 'hideHelpButton', 'Hide _Help', <bound method
InstallControlWindow.helpClicked of <gui.InstallControlWindow instance at
0x839e67c>>), ('gtk-execute', 'debugButton', '_Debug', <bound method
InstallControlWindow.debugClicked of <gui.InstallControlWindow instance at
0x839e67c>>))
    handle: 166
    help: <TextViewBrowser object (GtkTextView) at 0x85f3294>
    buttonBox: <gtk.HButtonBox object (GtkHButtonBox) at 0x85f49d4>
    hideHelpButton: <gtk.Button object (GtkButton) at 0x869041c>
    nextButtonStock: <gtk.Button object (GtkButton) at 0x85169fc>
    help_sw: <gtk.ScrolledWindow object (GtkScrolledWindow) at 0x82bf304>
    dir: 1
    dispatch: Already dumped
    reloadRcQueued: 0
    ii: Already dumped
    currentWindow: AutoPartitionWindow instance, containing members:
      clearAllRB: <gtk.RadioButton object (GtkRadioButton) at 0x875e4f4>
      intf: Already dumped
      parent: <gtk.Window object (GtkWindow) at 0x83c8534>
      clearNoneRB: <gtk.RadioButton object (GtkRadioButton) at 0x869b65c>
      clearLinuxRB: <gtk.RadioButton object (GtkRadioButton) at 0x871597c>
      dispatch: Already dumped
      ics: InstallControlState instance, containing members:
        nextButtonLabel: None
        helpButtonEnabled: 1
        searchPath: [./, /usr/share/anaconda/, ./]
        prevButtonLabel: None
        grabNext: 0
        title: Automatic Partitioning
        nextButtonInfo: None
        prevEnabled: 1
        html: 
        helpEnabled: 3
        nextEnabled: 1
        htmlFile: autopart
        prevButton: gtk-prev
        cw: Already dumped
        nextButton: gtk-next
      drivelist: <WideCheckList object (GtkTreeView) at 0x88adfa4>
      inspect: <gtk.CheckButton object (GtkCheckButton) at 0x86a8294>
      diskset: DiskSet instance, containing members:
        disks: {'hda': <PedDisk object at 0x83c8f08>}
      partitions: Partitions instance, containing members:
        useFdisk: 0
        useAutopartitioning: 1
        autoClearPartType: 1
        nextUniqueID: 6
        reinitializeDisks: 0
        autoClearPartDrives: [hda]
        zeroMbr: 0
        isKickstart: 0
        requests: [LV Request -- mountpoint: None  uniqueID: 5
  type: ext3  format: 0  badblocks: None
  size: 193580.0  lvname: lv_home  volgroup: 4
, VG Request -- name: vg_home  uniqueID: 4
  format: 0 pesize: 4096  
  physvols: []
]
        autoPartitionRequests: [New Part Request -- mountpoint: / uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 1100  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: None uniqueID: None
  type: swap  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 512  grow: 1  maxsize: 1024
  start: None  end: None  migrate: None  origfstype: None
]
        deletes: [drive: hda  start: 63  end: 96389
, drive: hda  start: 57930390  end: 60018839
, drive: hda  start: 96390  end: 57930389
]
    installFrame: <gtk.Frame object (GtkFrame) at 0x83c38cc>
    debugButton: <gtk.Button object (GtkButton) at 0x86906ec>
    table: <gtk.Table object (GtkTable) at 0x84ae69c>
    releaseButton: <gtk.Button object (GtkButton) at 0x85f409c>
    hbox: <gtk.HBox object (GtkHBox) at 0x868d0b4>
    box: <gtk.VBox object (GtkVBox) at 0x82bec4c>
    helpFrame: <gtk.Frame object (GtkFrame) at 0x848f154>
    windowList: []
    window: <gtk.Window object (GtkWindow) at 0x83c8534>
    langSearchPath: [en_US, en, C]
    showHelpButton: <gtk.Button object (GtkButton) at 0x85f437c>
    helpState: 1
    releaseNotesBuffer: <gtk.TextBuffer object (GtkTextBuffer) at 0x869073c>
    bin: <gtk.Frame object (GtkFrame) at 0x84b484c>
    prevButtonStock: <gtk.Button object (GtkButton) at 0x85f4edc>
    configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat
Linux Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png}
    buff: None
  runres: 800x600
  dispatch: Already dumped
flags: Flags instance, containing members:
  flags: {'test': 0, 'setupFilesystems': 1, 'serial': 0, 'expert': 0, 'autostep': 0}
dispatch: Already dumped
instPath: /mnt/sysimage
firstStep: 0
id: InstallData instance, containing members:
  compspkg: None
  dbpath: None
  firewall: Firewall instance, containing members:
    ftp: 0
    http: 0
    portlist: 
    enabled: -1
    telnet: 0
    custom: 1
    ssh: 0
    policy: 1
    dhcp: 0
    smtp: 0
    trustdevs: []
    ports: []
  upgradeSwapInfo: None
  firstboot: 0
  hdList: None
  auth: Authentication instance, containing members:
    hesiodLhs: 
    useKrb5: 0
    nisuseBroadcast: 1
    useShadow: 1
    sambaServer: 
    krb5Realm: 
    nisDomain: 
    sambaWorkgroup: 
    ldapTLS: 
    useMD5: 1
    useSamba: 0
    ldapBasedn: 
    krb5Admin: 
    enableCache: 0
    useLdapauth: 0
    hesiodRhs: 
    ldapServer: 
    useHesiod: 0
    krb5Kdc: 
    useLdap: 0
    nisServer: 
    useNIS: 0
  upgradeRoot: None
  comps: None
  dependencies: []
  accounts: None
  fsset: FileSystemSet instance, containing members:
    messageWindow: <bound method InstallInterface.messageWindow of
<gui.InstallInterface instance at 0x868b0f4>>
    waitWindow: <bound method InstallInterface.waitWindow of
<gui.InstallInterface instance at 0x868b0f4>>
    mountcount: 0
    entries: [fsentry -- device: none   mountpoint: /dev/pts
           fsystem: devpts format: 0

, fsentry -- device: none   mountpoint: /proc
           fsystem: proc format: 0

]
    progressWindow: <bound method InstallInterface.progressWindow of
<gui.InstallInterface instance at 0x868b0f4>>
    migratedfs: 0
  keyboard: Keyboard instance, containing members:
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
    modelDict: {'gr': ['Greek', 'el', 'pc102', ''], 'speakup': ['Speakup', 'us',
'pc105', ''], 'ru-cp1251': ['Russian (cp1251)', 'ru', 'pc102', ''],
'speakup-lt': ['Speakup (laptop)', 'us', 'pc105', ''], 'cf': ['French Canadian',
'ca_enhanced', 'pc102', ''], 'se-latin1': ['Swedish', 'se', 'pc102', ''],
'fr_CH-latin1': ['Swiss French (latin1)', 'fr_CH', 'pc102', ''], 'fr-pc':
['French (pc)', 'fr', 'pc102', ''], 'ru-ms': ['Russian (Microsoft)', 'ru',
'pc102', ''], 'sk-qwerty': ['Slovakian', 'sk_qwerty', 'pc102', ''], 'ru2':
['Russian (ru2)', 'ru', 'pc102', ''], 'et': ['Estonian', 'ee', 'pc102', ''],
'ru1': ['Russian (ru1)', 'ru', 'pc102', ''], 'es': ['Spanish', 'es', 'pc102',
''], 'it-ibm': ['Italian (IBM)', 'it', 'pc102', ''], 'ru': ['Russian', 'ru',
'pc102', ''], 'fr-latin1': ['French (latin1)', 'fr', 'pc102', ''], 'no':
['Norwegian', 'no', 'pc102', ''], 'de-latin1-nodeadkeys': ['German (latin1 w/ no
deadkeys)', 'de', 'pc102', 'nodeadkeys'], 'ru_win': ['Russian (win)', 'ru',
'pc105', ''], 'ua': ['Ukrainian', 'ua', 'pc102', ''], 'pt-latin1':
['Portuguese', 'pt', 'pc102', ''], 'it': ['Italian', 'it', 'pc102', ''],
'de-latin1': ['German (latin1)', 'de', 'pc102', ''], 'fr': ['French', 'fr',
'pc102', ''], 'pl': ['Polish', 'pl', 'pc102', ''], 'cz-lat2':
['Czechoslovakian', 'cz', 'pc102', ''], 'dk-latin1': ['Denmark (latin1)', 'dk',
'pc102', ''], 'bg': ['Bulgarian', 'bg', 'pc102', ''], 'dk': ['Denmark', 'dk',
'pc102', ''], 'be-latin1': ['Belgian (be-latin1)', 'be', 'pc102', ''],
'sg-latin1': ['Swiss German (latin1)', 'de_CH', 'pc102', ''], 'fr-latin0':
['French (latin0)', 'fr', 'pc102', ''], 'de': ['German', 'de', 'pc102', ''],
'hu': ['Hungarian', 'hu', 'pc102', ''], 'jp106': ['Japanese', 'jp', 'jp106',
''], 'us-acentos': ['U.S. International', 'us_intl', 'pc105', ''], 'fr_CH':
['Swiss French', 'fr_CH', 'pc102', ''], 'fi': ['Finnish', 'fi', 'pc102', ''],
'dvorak': ['Dvorak', 'dvorak', 'pc105', ''], 'it2': ['Italian (it2)', 'it',
'pc102', ''], 'fi-latin1': ['Finnish (latin1)', 'fi', 'pc102', ''], 'ro_win':
['Romanian', 'ro', 'pc102', ''], 'hu101': ['Hungarian (101 key)', 'hu', 'pc102',
''], 'slovene': ['Slovenian', 'si', 'pc102', ''], 'br-abnt2': ['Brazilian
(ABNT2)', 'br', 'abnt2', ''], 'us': ['U.S. English', 'us', 'pc105', ''],
'no-latin1': ['Norwegian (latin1)', 'no', 'pc102', ''], 'is-latin1': ['Iceland',
'is', 'pc102', ''], 'cz-us-qwertz': ['Czechoslovakian (qwertz)', 'cz', 'pc102',
''], 'uk': ['United Kingdom', 'gb', 'pc101', ''], 'trq': ['Turkish', 'tr',
'pc102', ''], 'sg': ['Swiss German', 'de_CH', 'pc102', '']}
    type: PC
    beenset: 1
  timezone: Timezone instance, containing members:
    utc: 0
    utcOffset: 0
    arc: 0
    tz: None
    dst: 0
  bootloader: x86BootloaderInfo instance, containing members:
    kickstart: 0
    doUpgradeOnly: 0
    useLinear: 1
    defaultDevice: None
    useGrubVal: 1
    args: KernelArguments instance, containing members:
      args: hdd=ide-scsi
    kernelLocation: /boot/
    images: BootImages instance, containing members:
      default: None
      images: {}
    configfile: /etc/lilo.conf
    above1024: 0
    serialOptions: None
    pure: None
    serialDevice: None
    device: None
    drivelist: [hda, hdb, hdc]
    serial: 0
    password: None
    forceLBA32: 0
  mouse: FULLNAME="Generic - 2 Button Mouse (PS/2)"
MOUSETYPE="ps/2"
XEMU3="yes"
XMOUSETYPE="PS/2"

  extraModules: []
  network: Network instance, containing members:
    domains: []
    isConfigured: 0
    overrideDHCPhostname: 0
    netdevices: {}
    primaryNS: 
    hostname: localhost.localdomain
    secondaryNS: 
    gateway: 
    ternaryNS: 
  instClass: InstallClass instance, containing members:
  upgrade: Boolean instance, containing members:
    val: 0
  monitor: monName: None
monID: Unprobed Monitor
fbmonSect: 
monHoriz: 31.5-48.5
monVert: 50-70
physicalWidth: 0
physicalHeight: 0

  xconfig: XF86Config instance, containing members:
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    fallbackModes: {'16': ['800x600']}
    monitor: Already dumped
    forcedDPI: None
    res: 800x600
    keyboard: Already dumped
    videocard: device: None
descr : nVidia Corporation|NV11 [GeForce 2 MX]
server: XFree86
cardManf: None
vidRam: 65536
carddata: {'CHIPSET': 'GeForce 2', 'SEE': 'NVIDIA GeForce 2 (generic)',
'DRIVER': 'nv', 'NAME': 'NVIDIA GeForce 2 MX (generic)', 'NOCLOCKPROBE': ''}
devID: NVIDIA GeForce 2 MX (generic)
fbmodes: None
fbbpp: None

    manualModes: {}
    skipx: 0
    skip: 0
    device: None
    monids: {}
    mouse: Already dumped
    monlist: {}
    modes: {'16': ['800x600']}
  floppyDevice: fd0
  methodstr: cdrom://hdd/mnt/source
  videocard: primary: 0
vidCards: [<rhpl.videocard.VideoCard instance at 0x8542dcc>]
Primary Video Card Info:
device: None
descr : nVidia Corporation|NV11 [GeForce 2 MX]
server: XFree86
cardManf: None
vidRam: 65536
carddata: {'CHIPSET': 'GeForce 2', 'SEE': 'NVIDIA GeForce 2 (generic)',
'DRIVER': 'nv', 'NAME': 'NVIDIA GeForce 2 MX (generic)', 'NOCLOCKPROBE': ''}
devID: NVIDIA GeForce 2 MX (generic)
fbmodes: None
fbbpp: None

  desktop: Desktop instance, containing members:
    info: {}
    runlevel: 3
  instLanguage: InstallTimeLanguage instance, containing members:
    current: en_US
    map: {'Swedish': iso15, 'Danish': iso15, 'Icelandic': iso15,
'Chinese(Simplified)': None, 'Norwegian': iso15, 'German': iso09, 'Dutch':
iso15, 'Slovenian': iso02, 'Japanese': None, 'French': iso15, 'Czech': iso02,
'Portuguese': iso15, 'Ukrainian': koi8-u, 'Spanish': iso15, 'English': iso01,
'Russian': koi8-r, 'Korean': None, 'Chinese(Traditional)': None, 'Italian': iso15}
    tempDefault: 
    nativeLangNames: {'Swedish': Svenska, 'Danish': Dansk, 'Icelandic':
Íslenska, 'Chinese(Simplified)': 中文(简体), 'Norwegian': Norsk, 'German':
Deutsch, 'English': English, 'Slovenian': slovenščina, 'Japanese': 日本語,
'French': Français, 'Czech': Čeština, 'Portuguese': Português, 'Ukrainian':
Ukrainian, 'Spanish': Español, 'Dutch': Nederlands, 'Russian': Русский,
'Korean': 한국어, 'Chinese(Traditional)': 繁體中文, 'Italian': Italiano}
    langList: [Chinese(Simplified), Chinese(Traditional), Czech, Danish, Dutch,
English, French, German, Icelandic, Italian, Japanese, Korean, Norwegian,
Portuguese, Russian, Slovenian, Spanish, Swedish, Ukrainian]
    langNicks: {'Swedish': sv_SE, 'Danish': da_DK, 'Icelandic': is_IS,
'Chinese(Simplified)': zh_CN.GB18030, 'Norwegian': no_NO, 'German': de_DE,
'Dutch': nl_NL, 'Slovenian': sl_SI, 'Japanese': ja_JP.eucJP, 'French': fr_FR,
'Czech': cs_CZ, 'Portuguese': pt_PT@euro, 'Ukrainian': uk_UA, 'Spanish': es_ES,
'English': en_US, 'Russian': ru_RU.koi8r, 'Korean': ko_KR.eucKR,
'Chinese(Traditional)': zh_TW.Big5, 'Italian': it_IT}
    font: {'Swedish': lat0-sun16, 'Danish': lat0-sun16, 'Icelandic': lat0-sun16,
'Chinese(Simplified)': None, 'Norwegian': lat0-sun16, 'German': lat0-16,
'Dutch': lat0-sun16, 'Slovenian': lat2-sun16, 'Japanese': Kon, 'French':
lat0-sun16, 'Czech': lat2-sun16, 'Portuguese': lat0-sun16, 'Ukrainian':
cyr-sun16, 'Spanish': lat0-sun16, 'English': default8x16, 'Russian': cyr-sun16,
'Korean': None, 'Chinese(Traditional)': None, 'Italian': lat0-sun16}
    kbd: {'Swedish': se-latin1, 'Danish': us, 'Icelandic': is-latin1,
'Chinese(Simplified)': us, 'Norwegian': no-latin1, 'German':
de-latin1-nodeadkeys, 'Dutch': nl, 'Slovenian': slovene, 'Japanese': jp106,
'French': fr-latin1, 'Czech': cz-lat2, 'Portuguese': pt-latin1, 'Ukrainian': ua,
'Spanish': es, 'English': us, 'Russian': ru, 'Korean': us,
'Chinese(Traditional)': us, 'Italian': it}
    tz: {'Swedish': Europe/Stockholm, 'Danish': Europe/Copenhagen, 'Icelandic':
Atlantic/Reykjavik, 'Chinese(Simplified)': Asia/Shanghai, 'Norwegian':
Europe/Oslo, 'German': Europe/Berlin, 'Dutch': Europe/Amsterdam, 'Slovenian':
Europe/Ljubljana, 'Japanese': Asia/Tokyo, 'French': Europe/Paris, 'Czech':
Europe/Prague, 'Portuguese': Europe/Lisbon, 'Ukrainian': Europe/Kiev, 'Spanish':
Europe/Madrid, 'English': America/New_York, 'Russian': Europe/Moscow, 'Korean':
Asia/Seoul, 'Chinese(Traditional)': Asia/Taipei, 'Italian': Europe/Rome}
  tmpData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat Linux
Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png}
  diskset: Already dumped
  rootPassword: None
  handleDeps: 0
  langSupport: Language instance, containing members:
    info: {'SUPPORTED': None}
    langInfoByName: {'Manx Gaelic (Britain)': ('gv_GB.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Icelandic': ('is_IS.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Arabic (Sudan)': ('ar_SD.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Estonian':
('et_EE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Turkish': ('tr_TR.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Catalan (Spain)': ('ca_ES.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (Australia)': ('en_AU.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (Hong Kong)': ('en_HK.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'German (Switzerland)': ('de_CH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Nicaragua)': ('es_NI.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Uruguay)': ('es_UY.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Slovenian (Slovenia)': ('sl_SI.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'German (Germany)': ('de_DE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (Canada)': ('en_CA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'French (Canada)': ('fr_CA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Dominican Republic)': ('es_DO.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Saudi Arabia)': ('ar_SA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Swedish (Finland)': ('sv_FI.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'French (Luxemburg)': ('fr_LU.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Tagalog (Philipines)': ('tl_PH', 'iso15', 'lat0-sun16'),
'Dutch (Netherlands)': ('nl_NL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Uzbek
(Uzbekistan)': ('uz_UZ', 'iso15', 'lat0-sun16'), 'English (Ireland)':
('en_IE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Egypt)': ('ar_EG.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Hungarian': ('hu_HU.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Basque (Spain)': ('eu_ES.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Chinese (Hong Kong)': ('zh_HK.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Yemen)': ('ar_YE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Lithuanian': ('lt_LT.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Bahrein)': ('ar_BH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Breton (France)': ('br_FR', 'iso15', 'lat0-sun16'),
'English (Zimbabwe)': ('en_ZW.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Ukrainian':
('uk_UA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Norwegian, Nynorsk (Norway)':
('nn_NO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Russian': ('ru_RU.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Serbian (Yugoslavia)': ('sr_YU.UTF-8@cyrillic', 'utf8',
'latarcyrheb-sun16'), 'English (Botswana)': ('en_BW.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Venezuela)': ('es_VE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Chile)': ('es_CL.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Dutch (Belgium)': ('nl_BE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Iraq)': ('ar_IQ.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Swedish (Sweden)': ('sv_SE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Russian (Ukraine)': ('ru_UA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Finnish': ('fi_FI.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Occitan (France)': ('oc_FR', 'iso15', 'lat0-sun16'), 'Albanian':
('sq_AL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'German (Luxemburg)':
('de_LU.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'German (Belgium)':
('de_BE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (USA)': ('es_US.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Italian (Switzerland)': ('it_CH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Jordan)': ('ar_JO.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Urdu (Pakistan)': ('ur_PK', 'utf8', 'latarcyrheb-sun16'),
'Irish': ('ga_IE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Singapore)':
('en_SG.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Great Britain)':
('en_GB.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Syrian Arab Republic)':
('ar_SY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Chinese (P.R. of China)':
('zh_CN.GB18030', 'iso15', 'lat0-sun16'), 'Belarusian': ('be_BY.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Spain)': ('es_ES.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Macedonian': ('mk_MK.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Slovak': ('sk_SK.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Polish': ('pl_PL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Portuguese (Brasil)':
('pt_BR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Panama)':
('es_PA.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Puerto Rico)':
('es_PR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (USA)': ('en_US.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Hebrew (Israel)': ('he_IL.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Hindi (India)': ('hi_IN', 'utf8', 'latarcyrheb-sun16'),
'Romanian': ('ro_RO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Denmark)':
('en_DK.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Telgu (India)': ('te_IN', 'utf8',
'latarcyrheb-sun16'), 'Arabic (United Arab Emirates)': ('ar_AE.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Cornish (Britain)': ('kw_GB.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Bolivia)': ('es_BO.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (New Zealand)': ('en_NZ.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Galician (Spain)': ('gl_ES.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Latvian (Latvia)': ('lv_LV.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Czech': ('cs_CZ.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Danish': ('da_DK.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Indonesian':
('id_ID.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Algeria)':
('ar_DZ.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'English (Philippines)':
('en_PH.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (India)': ('ar_IN',
'utf8', 'latarcyrheb-sun16'), 'Persian (Iran)': ('fa_IR', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Morocco)': ('ar_MA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Norwegian': ('no_NO.UTF-8', 'utf8', 'latarcyrheb-sun16'),
'Afrikaans (South Africa)': ('af_ZA', 'iso15', 'lat0-sun16'), 'Spanish
(Paraguay)': ('es_PY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Faroese (Faroe
Islands)': ('fo_FO.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Bosnian (Bosnia and
Herzegowina)': ('bs_BA', 'iso02', 'lat2-sun16'), 'Arabic (Lebanon)':
('ar_LB.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Thai': ('th_TH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Costa Rica)': ('es_CR.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Tunisia)': ('ar_TN.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Northern Saami (Norway)': ('se_NO', 'utf8',
'latarcyrheb-sun16'), 'English (India)': ('en_IN', 'utf8', 'latarcyrheb-sun16'),
'Chinese (Taiwan)': ('zh_TW.Big5', 'iso15', 'lat0-sun16'), 'Spanish (Honduras)':
('es_HN.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (Ecuador)':
('es_EC.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish (El Salvador)':
('es_SV.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Greek': ('el_GR.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Mexico)': ('es_MX.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Tamil (India)': ('ta_IN', 'utf8', 'latarcyrheb-sun16'),
'Spanish (Peru)': ('es_PE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Korean
(Republic of Korea)': ('ko_KR.eucKR', 'iso15', 'lat0-sun16'), 'French
(Belgium)': ('fr_BE.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Greenlandic
(Greenland)': ('kl_GL.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'French (France)':
('fr_FR.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Croatian': ('hr_HR.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Marathi (India)': ('mr_IN', 'utf8',
'latarcyrheb-sun16'), 'French (Switzerland)': ('fr_CH.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Qatar)': ('ar_QA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'English (South Africa)': ('en_ZA.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Arabic (Kuwait)': ('ar_KW.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Maltese (malta)': ('mt_MT.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Portuguese (Portugal)': ('pt_PT.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Japanese': ('ja_JP.eucJP', 'iso15', 'lat0-sun16'),
'Arabic (Oman)': ('ar_OM.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Arabic (Libyan
Arab Jamahiriya)': ('ar_LY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Malay
(Malaysia)': ('ms_MY.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Spanish
(Guatemala)': ('es_GT.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'German (Austria)':
('de_AT.UTF-8', 'utf8', 'latarcyrheb-sun16'), 'Italian (Italy)': ('it_IT.UTF-8',
'utf8', 'latarcyrheb-sun16'), 'Spanish (Colombia)': ('es_CO.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Spanish (Argentina)': ('es_AR.UTF-8', 'utf8',
'latarcyrheb-sun16'), 'Walloon (Belgium)': ('wa_BE@euro', 'iso15', 'lat0-sun16')}
    langList: None
    default: None
    langNicks: None
    supported: []
    allSupportedLangs: None
  partitions: Already dumped
  upgradeDeps: 
  configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat
Linux Beta, 'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png}
  x_already_set: 0
dir: 1
skipSteps: {'upgradecontinue': 1, 'findrootparts': 1, 'findinstall': 1,
'upgrademigfind': 1, 'upgradeswapsuggestion': 1, 'fdasd': 2, 'confirmupgrade':
1, 'bootloaderadvanced': 1, 'betanag': 1, 'upgrademount': 1,
'package-selection': 1, 'authentication': 1, 'makebootdisk': 1, 'findpackages':
1, 'fdisk': 1, 'upgbootloader': 1, 'addswap': 1, 'upgrademigratefs': 1,
'indivpackage': 1}


/tmp/syslog:
<4>Linux version 2.4.18-14BOOT (bhcompile@daffy.perf.redhat.com) (gcc version
3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 Wed Sep 4 11:55:51 EDT 2002
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
<4> BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000001fff0000 (usable)
<4> BIOS-e820: 000000001fff0000 - 000000001fff8000 (ACPI data)
<4> BIOS-e820: 000000001fff8000 - 0000000020000000 (ACPI NVS)
<4> BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<4> BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
<5>511MB LOWMEM available.
<4>found SMP MP-table at 000fb210
<4>hm, page 000fb000 reserved twice.
<4>hm, page 000fc000 reserved twice.
<4>hm, page 000f5000 reserved twice.
<4>hm, page 000f6000 reserved twice.
<4>On node 0 totalpages: 131056
<4>zone(0): 4096 pages.
<4>zone(1): 126960 pages.
<4>zone(2): 0 pages.
<4>Intel MultiProcessor Specification v1.1
<4>    Virtual Wire compatibility mode.
<4>OEM ID: VIA      Product ID: KT133        APIC at: 0xFEE00000
<4>Processor #0 Pentium(tm) Pro APIC version 17
<4>I/O APIC #2 Version 17 at 0xFEC00000.
<4>Processors: 1
<4>Kernel command line: initrd=initrd.img lang= devfs=nomount ramdisk_size=9216
BOOT_IMAGE=vmlinuz 
<6>Initializing CPU#0
<4>Detected 1000.055 MHz processor.
<4>Speakup v-1.00 CVS: Tue Jun 11 14:22:53 EDT 2002 : initialized
<4>Console: colour VGA+ 80x25
<4>Calibrating delay loop... 1992.29 BogoMIPS
<6>Memory: 510268k/524224k available (1162k kernel code, 11392k reserved, 359k
data, 176k init, 0k highmem)
<6>Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
<6>Inode cache hash table entries: 32768 (order: 6, 262144 bytes)
<6>Mount cache hash table entries: 8192 (order: 4, 65536 bytes)
<7>ramfs: mounted with options: <defaults>
<7>ramfs: max_pages=64055 max_file_pages=0 max_inodes=0 max_dentries=64055
<6>Buffer cache hash table entries: 32768 (order: 5, 131072 bytes)
<4>Page-cache hash table entries: 131072 (order: 7, 524288 bytes)
<7>CPU: Before vendor init, caps: 0383fbff c1c7fbff 00000000, vendor = 2
<6>CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
<6>CPU: L2 Cache: 64K (64 bytes/line)
<7>CPU: After vendor init, caps: 0383fbff c1c7fbff 00000000 00000000
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU:     After generic, caps: 0383fbff c1c7fbff 00000000 00000000
<7>CPU:             Common caps: 0383fbff c1c7fbff 00000000 00000000
<4>CPU: AMD Duron(tm) stepping 00
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>enabled ExtINT on CPU#0
<4>ESR value before enabling vector: 00000080
<4>ESR value after enabling vector: 00000000
<4>ENABLING IO-APIC IRQs
<4>Setting 2 in the phys_id_present_map
<6>...changing IO-APIC physical APIC ID to 2 ... ok.
<7>init IO_APIC IRQs
<7> IO-APIC (apicid-pin) 2-0, 2-16, 2-17, 2-18, 2-19, 2-20, 2-21, 2-22, 2-23 not
connected.
<6>..TIMER: vector=0x31 pin1=2 pin2=0
<7>number of MP IRQ sources: 16.
<7>number of IO-APIC #2 registers: 24.
<6>testing the IO APIC.......................
<4>
<7>IO APIC #2......
<7>.... register #00: 02000000
<7>.......    : physical APIC id: 02
<7>.... register #01: 00178011
<7>.......     : max redirection entries: 0017
<7>.......     : PRQ implemented: 1
<7>.......     : IO APIC version: 0011
<7>.... register #02: 00000000
<7>.......     : arbitration: 00
<7>.... IRQ redirection table:
<7> NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:   
<7> 00 000 00  1    0    0   0   0    0    0    00
<7> 01 001 01  0    0    0   0   0    1    1    39
<7> 02 001 01  0    0    0   0   0    1    1    31
<7> 03 001 01  0    0    0   0   0    1    1    41
<7> 04 001 01  0    0    0   0   0    1    1    49
<7> 05 001 01  0    0    0   0   0    1    1    51
<7> 06 001 01  0    0    0   0   0    1    1    59
<7> 07 001 01  0    0    0   0   0    1    1    61
<7> 08 001 01  0    0    0   0   0    1    1    69
<7> 09 001 01  1    1    0   1   0    1    1    71
<7> 0a 001 01  1    1    0   1   0    1    1    79
<7> 0b 001 01  1    1    0   1   0    1    1    81
<7> 0c 001 01  0    0    0   0   0    1    1    89
<7> 0d 001 01  0    0    0   0   0    1    1    91
<7> 0e 001 01  0    0    0   0   0    1    1    99
<7> 0f 001 01  0    0    0   0   0    1    1    A1
<7> 10 000 00  1    0    0   0   0    0    0    00
<7> 11 000 00  1    0    0   0   0    0    0    00
<7> 12 000 00  1    0    0   0   0    0    0    00
<7> 13 000 00  1    0    0   0   0    0    0    00
<7> 14 000 00  1    0    0   0   0    0    0    00
<7> 15 000 00  1    0    0   0   0    0    0    00
<7> 16 000 00  1    0    0   0   0    0    0    00
<7> 17 000 00  1    0    0   0   0    0    0    00
<7>IRQ to pin mappings:
<7>IRQ0 -> 0:2
<7>IRQ1 -> 0:1
<7>IRQ3 -> 0:3
<7>IRQ4 -> 0:4
<7>IRQ5 -> 0:5
<7>IRQ6 -> 0:6
<7>IRQ7 -> 0:7
<7>IRQ8 -> 0:8
<7>IRQ9 -> 0:9
<7>IRQ10 -> 0:10
<7>IRQ11 -> 0:11
<7>IRQ12 -> 0:12
<7>IRQ13 -> 0:13
<7>IRQ14 -> 0:14
<7>IRQ15 -> 0:15
<6>.................................... done.
<4>Using local APIC timer interrupts.
<4>calibrating APIC timer ...
<4>..... CPU clock speed is 1000.0703 MHz.
<4>..... host bus clock speed is 200.0140 MHz.
<4>cpu: 0, clocks: 2000140, slice: 1000070
<4>CPU0<T0:2000128,T1:1000048,D:10,S:1000070,C:2000140>
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<6>PCI: PCI BIOS revision 2.10 entry at 0xfdb31, last bus=1
<6>PCI: Using configuration type 1
<6>PCI: Probing PCI hardware
<6>PCI: Using IRQ router VIA [1106/0686] at 00:07.0
<6>Applying VIA southbridge workaround.
<6>PCI: Enabling Via external APIC routing
<4>speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Initializing RT netlink socket
<4>Starting kswapd
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI
enabled
<6>ttyS0 at 0x03f8 (irq = 4) is a 16550A
<6>ttyS1 at 0x02f8 (irq = 3) is a 16550A
<4>block: 992 slots per queue, batch=248
<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<4>ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
<4>VP_IDE: IDE controller on PCI bus 00 dev 39
<4>VP_IDE: chipset revision 6
<4>VP_IDE: not 100% native mode: will probe irqs later
<4>ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
<6>VP_IDE: VIA vt82c686b (rev 40) IDE UDMA100 controller on pci00:07.1
<4>    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:DMA
<4>    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:DMA
<4>hda: Maxtor 5T030H3, ATA DISK drive
<4>hdb: Maxtor 4G120J6, ATA DISK drive
<4>hdc: MAXTOR 6L080J4, ATA DISK drive
<4>hdd: MSI CD-RW MS-8348, ATAPI CD/DVD-ROM drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide1 at 0x170-0x177,0x376 on irq 15
<6>hda: 60030432 sectors (30736 MB) w/2048KiB Cache, CHS=3736/255/63, UDMA(100)
<6>hdb: 240121728 sectors (122942 MB) w/2048KiB Cache, CHS=14946/255/63, UDMA(100)
<6>hdc: 156355584 sectors (80054 MB) w/1819KiB Cache, CHS=155114/16/63, UDMA(33)
<4>hdd: ATAPI 48X CD-ROM CD-R/RW drive, 2048kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<4>ide-floppy driver 0.99.newide
<6>Partition check:
<6> hda: hda1 hda2 hda3
<6> hdb: unknown partition table
<6> hdc: unknown partition table
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>NET4: Frame Diverter 0.46
<4>RAMDISK driver initialized: 16 RAM disks of 9216K size 1024 blocksize
<6>loop: loaded (max 8 devices)
<4>ide-floppy driver 0.99.newide
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>usb-uhci.c: $Revision: 1.275 $ time 11:57:03 Sep  4 2002
<6>usb-uhci.c: High bandwidth mode enabled
<6>usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
<6>usb.c: registered new driver hiddev
<6>usb.c: registered new driver hid
<6>hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>mice: PS/2 mouse device common for all mice
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<6>md: autorun ...
<6>md: ... autorun DONE.
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<6>IP: routing cache hash table of 4096 buckets, 32Kbytes
<6>TCP: Hash tables configured (established 32768 bind 65536)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<6>Freeing initrd memory: 2648k freed
<4>EXT2-fs warning: checktime reached, running e2fsck is recommended
<4>VFS: Mounted root (ext2 filesystem).
<6>SCSI subsystem driver Revision: 1.00
<4>3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
<6>00:0f.0: 3Com PCI 3c905B Cyclone 100baseTx at 0xd000. Vers LK1.1.18-ac
<7>divert: allocating divert_blk for eth0
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :  1527.600 MB/sec
<4>   32regs    :   958.800 MB/sec
<4>   pII_mmx   :  2339.200 MB/sec
<4>   p5_mmx    :  2988.400 MB/sec
<4>raid5: using function: p5_mmx (2988.400 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<6>LVM version 1.0.3(19/02/2002) module loaded
<6>parport0: PC-style at 0x378 (0x778) [PCSPP(,...)]
<6>parport_pc: Via 686A parallel port: io=0x378


/tmp/anaconda.log:
* 515096 kB are available
* modules to insert cramfs vfat sunrpc lockd nfs
* module(s) cramfs vfat not found
* inserted /tmp/sunrpc.o
* inserted /tmp/lockd.o
* inserted /tmp/nfs.o
* load module set done
* modules to insert ide-cd
* module(s) ide-cd not found
* load module set done
* modules to insert scsi_mod sd_mod sr_mod
* inserted /tmp/scsi_mod.o
* inserted /tmp/sd_mod.o
* inserted /tmp/sr_mod.o
* load module set done
* looking for usb controllers
* no usb controller found
* no firewire controller found
* probing for floppy devices
* first non-detached floppy is fd0
* system floppy device is fd0
* in startPcmcia()
* pcmcia probe returned: |PCI bridge probe: not found.
Intel PCIC probe: not found.
Databook TCIC-2 probe: not found.
|
* no pcic controller found
* probing buses
* finished bus probing
* modules to insert 3c59x
* inserted /tmp/3c59x.o
* load module set done
* trying to mount device hdd
* mntloop loop0 on /mnt/runtime as /mnt/source/RedHat/base/stage2.img fd is 10
* MD5SUM -> 3218284f8826bf95ccd6f248ad9229f0
* skipsectors = 15
* isostatus = 0
* getting ready to spawn shell now
* modules to insert ide-cd
* module(s) ide-cd not found
* load module set done
* modules to insert
* load module set done
* probing buses
* finished bus probing
* modules to insert
* load module set done
* looking for video cards requiring agpgart module
* found video card controller unknown
* modules to insert raid0 raid1 xor raid5 msdos jbd ext3 reiserfs jfs xfs lvm-mod
* module(s) jfs xfs not found
* inserted /tmp/raid0.o
* inserted /tmp/raid1.o
* inserted /tmp/xor.o
* inserted /tmp/raid5.o
* inserted /tmp/msdos.o
* inserted /tmp/jbd.o
* inserted /tmp/ext3.o
* inserted /tmp/reiserfs.o
* inserted /tmp/lvm-mod.o
* load module set done
* loading parallel port drivers...
* modules to insert parport parport_pc
* inserted /tmp/parport.o
* inserted /tmp/parport_pc.o
* load module set done
* Running anaconda script /usr/bin/anaconda
* Probing for video card:   NVIDIA GeForce 2 MX (generic)
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

* Probing for monitor type: Unable to probe
* Probing for mouse type:   Generic - 3 Button Mouse (PS/2)
* forcing dpi = 96 for mode 800x600, heightxwidth = 211.666666667mm by 158.75mm
* Started mini-wm
* anaconda floppy device fd0
* Detected 512M of memory
* Swap attempt of 512M to 1024M
* Volume group vg_home using non-existent partition hdc
* Volume group vg_home using non-existent partition hdb
* In growLogicalVolumes, considering VG VG Request -- name: vg_home  uniqueID: 4
  format: 0 pesize: 4096  
  physvols: []
* No growable logical volumes defined.
* Used size vs. available for vg vg_home:  193580 0
Comment 2 Jeremy Katz 2003-06-10 16:03:41 EDT
anaconda doesn't support whole disks being used as LVM.  You really really
really want a partition table there.
Comment 3 Ed Voncken 2003-07-31 16:14:23 EDT
OK, I'll accept Anaconda not supporting an as-such valid LVM configuration -
there are choices to be made obviously.

However, it would be nice if the installer did not crash upon finding such a
configuration. Instead, I would like to have an option "Continue anyway".

I mean, I was not even attempting to install to one of these LVM drives. I was
upgrading the OS, which was residing on plain ext3fs partitions.

I even told the installer NOT to use /dev/hdb and /dev/hdc (the LVM drives). Why
it insisted on complaining and crashing anyway is a riddle to me ;)
Comment 4 Jeremy Katz 2004-10-04 23:15:43 EDT
This should be handled better in newer releases.

Note You need to log in before you can comment on or make changes to this bug.